<?php
include('conexion.php');
if ($base) 
{
		$message=0;
		$Nombre = htmlentities(addslashes($_POST['nombre'])); //funciones para evitar la inyección de script malintencionado
		$Apellidos = htmlentities(addslashes($_POST['apellidos']));
		$titulo = htmlentities(addslashes($_POST['titulo']));
		$inicio = htmlentities(addslashes($_POST['inicio']));
		$Fin = htmlentities(addslashes($_POST['fin']));
		$Email = htmlentities(addslashes($_POST['email']));
		if ($Nombre == "" || $Apellidos == "" || $titulo == "" || $inicio == "" || $Fin == "" || $Email == "") { // caso en el que el usaurio esquiva el javascript
			$mensaje=2; //un de los campos es vacío
		}
		else {
			$nbr=0; //nombre de persona que ya tiene este email
			// VERIFICACIÓN SI LA persona ESTÁ INSCRITA===========================================================================
			$sql = "SELECT Nombre, Apellidos  FROM inscripcion WHERE Email LIKE ? OR (Nombre LIKE ? AND Apellidos LIKE ?)";
			// Preparación de la consulta
			$resultado = mysqli_prepare($base, $sql);
			$ok = mysqli_stmt_bind_param($resultado, 'sss',$Email,$Nombre,$Apellidosbre);						
			// Ejecución de la consulta.
			$ok = mysqli_stmt_execute($resultado);
			if ($ok == FALSE) {
				 echo "Error de ejecución de la consulta.<br />";
				 $mensaje=0;
			}
			else {
				// Asociación de las variables de resultado.
				$ok = mysqli_stmt_bind_result($resultado,$Nombre,$Apellidos);
				// Almacena los valores.	
				$ok = mysqli_stmt_store_result($resultado);
				$nbr=mysqli_stmt_num_rows($resultado);
				//Libera el resultado
				mysqli_stmt_free_result($resultado);
				mysqli_stmt_close($resultado);   
			}

			if ($nbr > 0) {
				$mensaje=3; //Ya ha realizado la petición";
			}
			else {
				// INSERCIÓN DE NUEVOS DATOS =============================================================================================		
				$sql = "INSERT INTO inscription (Nombre, Apellidos, titulo, inicio, Fin, Email) VALUES (?,?,?,?,?,?)";
				// Preparación de la consulta
				$resultado_insert = mysqli_prepare($base, $sql);				
				date_default_timezone_set('Europe/Paris');
				$dt_inicio = date_create_from_format('d/m/Y',$inicio); //creación de un objeto Date a partir de la cadena de caracteres $inicio 
				$dt_fin = date_create_from_format('d/m/Y', $Fin); //creación de un objeto Date a partir de la cadena de caracteres $Fin 
				$ok = mysqli_stmt_bind_param($resultado_insert, 'ssssss',$Nombre,$Apellidos,$titulo,$dt_inicio->format('Y/m/d'),$dt_fin->format('Y/m/d'),$Email);						
				// Ejecución de la consulta.
				$ok = mysqli_stmt_execute($resultado_insert);				
				if ($ok == FALSE) 
				{
					echo "Error de ejecución de la consulta.<br />";
					$mensaje=0;
				}
				else 
				{
					$mensaje=1; //echo "Datos añadidos.";
				}						
				mysqli_stmt_close($resultado_insert);	
			}
		}		
		if (mysqli_close($base) == false) {
			echo 'Error de desconnexion.';
			$mensaje=0;
		}
}
else 
{
	printf('Error %d : %s.<br/>',mysqli_connect_errno(),mysqli_connect_error());
	$mensaje=0;
}

if ($mensaje!=0) { //No redirigir automaticamente a la página de inicio en caso de error grave.
	header("Location:inicio.php?mensaje=".$mensaje);		
}
?>	